/**
 * 最近チェックした作品をCookieに保存（PCのみ）
 */
(function (window, $) {

    /** @const */
    var COOKIE_NAME    = ($.getSiteLang() === 'en') ? 'DL_PRODUCT_LOG_ENG' : 'DL_PRODUCT_LOG',
        COOKIE_DOMAIN  = '.dlsite.com',
        COOKIE_EXPIRES = 30, // days
        COOKIE_MAX     = 50;
    
    var dlocation = $.getDLocation();
    
    if (typeof dlocation.param.product_id === 'undefined') {
        return;
    }
    
    var productId = dlocation.param.product_id,
        cookieVal = $.cookie(COOKIE_NAME) || '';
    
    // exists
    if (cookieVal.indexOf(productId) !== -1) {
        return;
    }
    
    var logs = cookieVal.split(','),
        userId = logs.shift(); // logs[0]はユーザーID（現状は空）
    
    logs.unshift(productId);
    
    // 上限で丸める
    if (logs.length > COOKIE_MAX) {
        logs = logs.slice(0, COOKIE_MAX);
    }
    
    // ユーザーIDを先頭に戻す
    logs.unshift(userId);
        
    $.cookie(COOKIE_NAME, logs.join(','), {
        path: '/',
        domain: COOKIE_DOMAIN,
        expires: COOKIE_EXPIRES
    });

}) (window, jQuery);